/*
	Copyright (C) 2008 - 2024
	by Mark de Wever <koraq@xs4all.nl>
	Part of the Battle for Wesnoth Project https://www.wesnoth.org/

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY.

	See the COPYING file for more details.
*/

#pragma once

#include "gui/dialogs/modal_dialog.hpp"

namespace gui2::dialogs
{

class mp_method_selection : public modal_dialog
{
public:
	/** Corresponds to each connection option. */
	enum class choice { JOIN = 0, CONNECT, HOST, LOCAL };

	mp_method_selection()
		: modal_dialog(window_id()) , user_name_(), choice_()
	{
	}

	const std::string& user_name() const
	{
		return user_name_;
	}

	choice get_choice() const
	{
		return choice_;
	}

private:
	/** The name to use on the MP server. */
	std::string user_name_;

	/** The selected method to `connect' to the MP server. */
	choice choice_;

	virtual const std::string& window_id() const override;

	virtual void pre_show() override;

	virtual void post_show() override;
};

} // namespace dialogs
